/*
 *	    ____  ____  _____   ____________
 *	   / __ / __ /  _/ | / /_  __/ __
 *	  / /_/ / /_/ // //  |/ / / / / /_/ /
 *	 / ____/ _, _// // /|  / / / / _, _/
 *	/_/   /_/ |_/___/_/ |_/ /_/ /_/ |_|
 *
 */

/*
 *	Display help info
 */

var FormideProject 	= require('./project.js');
var argv 			= require('optimist').argv;
var Task 			= require('./task.js').Task;

var FormideTask = function() {};
FormideTask.prototype = new Task();

FormideTask.prototype.run = function( formide )
{
	var self = this;

	self.formide = formide;

	var command = argv._[1] ? argv._[1] : '';
	var task = self.formide._getTaskByName(command);

	if( command == '' )
	{
		self.formide._printHelpLines();
		return;
	}
	else if( !task )
	{
		console.log('Command not found.'.red.bold)
		return;
	}

	process.stderr.write('\n=======================\n');

	self.formide._printUsage( task );
	process.stderr.write('\n\n');
};

exports.FormideTask = FormideTask;