/*
 *	    ____  ____  _____   ____________
 *	   / __ / __ /  _/ | / /_  __/ __
 *	  / /_/ / /_/ // //  |/ / / / / /_/ /
 *	 / ____/ _, _// // /|  / / / / _, _/
 *	/_/   /_/ |_/___/_/ |_/ /_/ /_/ |_|
 *
 */

/*
 *	Setup a new formide app project
 */

var Task 			= require('./task.js').Task;
var argv			= require('optimist').argv;
var exec			= require('child_process').exec;
var Q				= require('q');
var FormideProject	= require('./project.js');
var prompt 			= require('prompt');
var uuid 			= require('node-uuid');

var FormideTask 	= function() {};

FormideTask.prototype = new Task();

FormideTask.prototype.run = function( formide )
{
	var self = this;

	var schema = [
		{
			name: 'name',
			description: 'App name:'.yellow.bold,
			required: true
		},
		{
			name: 'version',
			description: 'App version:'.yellow.bold,
			required: true
		},
		{
			name: 'identifier',
			description: 'App identifier:'.yellow.bold,
			required: true
		},
		{
			name: 'assets',
			description: 'Use assets:'.yellow.bold,
			required: true
		},
		{
			name: 'plugin',
			description: 'Use as plugin:'.yellow.bold,
			required: true
		},
		{
			name: 'config',
			description: 'Use init config'.yellow.bold,
			required: true
		}
	];

	prompt.override = argv;
	prompt.message = '';
    prompt.delimiter = '';
    prompt.start();

    prompt.get(schema, function( err, result )
    {
		if( err )
		{
			return formide.fail('Error setting up new project: ' + err );
		}

		result.app_id = uuid.v4();

		try
		{
			FormideProject.create( result );
		}
		catch( e )
		{
			return formide.fail( e.message );
		}

		console.log('New project created!'.green);
    });
};

exports.FormideTask = FormideTask;