/*
 *	    ____  ____  _____   ____________
 *	   / __ / __ /  _/ | / /_  __/ __
 *	  / /_/ / /_/ // //  |/ / / / / /_/ /
 *	 / ____/ _, _// // /|  / / / / _, _/
 *	/_/   /_/ |_/___/_/ |_/ /_/ /_/ |_|
 *
 */

/*
 *	Some utilities to handle cookies and csrf tokens
 */

var transformCookies = function transformCookies( jar )
{
	return jar.map( function( c )
	{
		return c.key + '=' + encodeURIComponent( c.value );
	}).join('; ');
};

var retrieveCsrfToken = function retrieveCsrfToken( jar )
{
	if(!jar || typeof jar == 'undefined' || jar.length == 0)
	{
		return '';
	}

	var csrftoken = '';
	for (var i = 0; i < jar.length; i++)
	{
		if (jar[i].key == 'csrftoken')
		{
			csrftoken = jar[i].value;
			break;
		}
	}

	return csrftoken;
};

module.exports = {
	retrieveCsrfToken: retrieveCsrfToken,
	transformCookies: transformCookies
};